################################################################################
##  Source File Name : TrustMerchant.ini                                      ##
##                                                                            ##
##  Project: BJP03004                                                         ##
##                                                                            ##
##  Description:                                                              ##
##  ========================================================================= ##
##    商户接口模块配置文件                                                    ##
##                                                                            ##
##  Change History:                                                           ##
##  Author     Date       Description                                         ##
##  ========== ========== =================================================== ##
##  HiTRUST    2003-12-29 Create file                                         ##
##  HiTRUST    2004-01-05 V1.0 Release.                                       ##
##  HiTRUST    2004-03-29 V1.0.1 Release                                      ##
##  HiTRUST    2004-04-04 V1.0.2 Release                                      ##
##  HiTRUST    2004-04-04 V1.0.3 Release                                      ##
##  HiTRUST    2004-05-31 V1.0.4 Release                                      ##
##  HiTRUST    2004-06-16 V1.1   Release                                      ##
##  HiTRUST    2004-09-07 V1.2   Release                                      ##
##  HiTRUST    2004-09-27 V1.5   Release                                      ##
##  HiTRUST    2004-12-23 V1.6   Release                                      ##
##  HiTRUST    2005-03-01 V1.7   Release                                      ##
##                                                                            ##
## Copyright Notice:                                                          ##
##   Copyright (c) 2001-2005 Beijing HiTRUST Technology Co., Ltd. 1808 Room,  ##
##   Science & Technology Building, No. 9 South Street, Zhong Guan Cun,       ##
##   Haidian District, Beijing ,100081, China All rights reserved.            ##
##                                                                            ##
##   This software is the confidential and proprietary information of         ##
##   HiTRUST.COM, Inc. ('Confidential Information').  You shall not           ##
##   disclose such Confidential Information and shall use it only in          ##
##   accordance with the terms of the license agreement you entered           ##
##   into with HiTRUST.                                                       ##
##                                                                            ##
##  Warning:                                                                  ##
##  ========================================================================= ##
##  1、此配置文件必须存在应用服务运行时的CLASSPATH指定的目录中                ##
##  2、网上支付平台系统配置段及商户资料段由银行给定参数，请勿更改             ##
##                                                                            ##
################################################################################
#===============================================================================
# 网上支付平台系统配置段 - 生产环境 - 请勿更改                      
#===============================================================================
#网上支付平台通讯方式（http / https）
TrustPayConnectMethod=https

#网上支付平台服务器名
TrustPayServerName=www.95599.cn

#网上支付平台交易端口
TrustPayServerPort=443

#网上支付平台接口特性
TrustPayNewLine=2

#网上支付平台交易网址
TrustPayTrxURL=/b2c/trustpay/ReceiveMerchantTrxReqServlet
#商户通过浏览器提交网上支付平台交易网址
TrustPayIETrxURL=https://www.95599.cn/b2c/trustpay/ReceiveMerchantIERequestServlet

#==========================================================================================
# 网上支付平台系统配置段 - 生产环境 - 更改证书存放路径，使其和本地存放路径相匹配（绝对路径）
#==========================================================================================
#网上支付平台证书
TrustPayCertFile=F:\Inetpub\outnet\etp2011\Payment\Agricultural\TrustPay.cer

#农行根证书文件
TrustStoreFile=F:\Inetpub\outnet\etp2011\Payment\Agricultural\abc.truststore

#农行根证书文件密码
TrustStorePassword=changeit


#==============================================================================
# 商户资料段 (请更改)                                                                  
#==============================================================================
#商户编号
MerchantID=344100002552A01

#商户通过浏览器提交网上支付平台交易失败网址
MerchantErrorURL=http://etp2011.wsdict.com/Payment/AgriculturalError.aspx


#==============================================================================
# 商户系统配置段 (请更改)                                                             
#==============================================================================
#交易日志开关（true: 表示写日志， false: 表示不写日志）
EnableLog=false

#交易日志文件存放目录
LogPath=请在此设定交易日志存放的目录名称，如C:/onlineremit/logs

#证书储存媒体
#0: File
#1: Hardware
MerchantKeyStoreType=0

#商户证书储存目录档名（当KeyStoreType=0时，必须设定）
MerchantCertFile=F:\Inetpub\outnet\etp2011\Payment\Agricultural\intsend_abc.pfx

#商户私钥加密密码（当KeyStoreType0时，必须设定）
MerchantCertPassword=sendint16130

#Sign Server地址（当KeyStoreType=1时，必须设定）
SignServerIP=如果使用签名服务器，请在此设定签名服务器的IP

#Sign Server端口（当KeyStoreType=1时，必须设定）
SignServerPort=如果使用签名服务器，请在此设定签名服务器的端口号

#Sign Server密码（当KeyStoreType=1时，选择设定）
SignServerPassword=如果使用签名服务器，请在此设定签名服务器的密码